# Uses of Class
com.ocient.jdbc.XGConnectionInfo

Packages that use XGConnectionInfo
Package
Description
com.ocient.jdbc

## Uses of XGConnectionInfo in com.ocient.jdbc

Methods in com.ocient.jdbc that return XGConnectionInfo
Modifier and Type
Method
Description
`XGConnectionInfo`
XGConnectionInfo.Builder.`build()`
`XGConnectionInfo`
XGConnection.`getInfo()`
Methods in com.ocient.jdbc with parameters of type XGConnectionInfo
Modifier and Type
Method
Description
`void`
XGConnection.XGConnectionFactory.`activateObject(XGConnectionInfo info, org.apache.commons.pool2.PooledObject<XGConnection> pooledObject)`
`CompletionStage<CompletableFutures.SQLResult<XGConnection>>`
XGConnectionFactory.`create(XGConnectionInfo info)`
Returns a `CompletionStage` of `CompletableFutures.SQLResult` which completes when the connection is successfully established, or completes exceptionally if the connection cannot be established.
`void`
XGConnection.XGConnectionFactory.`destroyObject(XGConnectionInfo info, org.apache.commons.pool2.PooledObject<XGConnection> pooledObject)`
`static CompletionStage<CompletableFutures.SQLResult<XGConnection>>`
XGConnection.`leaseConnection(XGConnectionInfo info)`
Leases a connection to the database specified by `info`.
`org.apache.commons.pool2.PooledObject<XGConnection>`
XGConnection.XGConnectionFactory.`makeObject(XGConnectionInfo info)`
`void`
XGConnection.XGConnectionFactory.`passivateObject(XGConnectionInfo info, org.apache.commons.pool2.PooledObject<XGConnection> pooledObject)`
`static XGConnection`
XGConnection.`TEST_createConnection(XGConnectionInfo info, Map<String,SimplexTransportFactory<? extends SimplexTransport<io.netty.buffer.ByteBuf,io.netty.buffer.ByteBuf>>> transportFactories)`
`boolean`
XGConnection.XGConnectionFactory.`validateObject(XGConnectionInfo info, org.apache.commons.pool2.PooledObject<XGConnection> pooledObject)`
Constructors in com.ocient.jdbc with parameters of type XGConnectionInfo
Modifier
Constructor
Description
``
`Builder(XGConnectionInfo existing)`
Constructor parameters in com.ocient.jdbc with type arguments of type XGConnectionInfo
Modifier
Constructor
Description
``
`XGConnectionFactory(Function<XGConnectionInfo,XGConnection> superFactory)`